This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 60525 - XConfigurator Fails for Laptop
XConfigurator Fails for Laptop
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.2
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-28 19:07 EST by Bill Caskey
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-30 03:14:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Caskey 2002-02-28 19:07:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
During install, the XF86Config-4 file was not set up correctly for my system
(Winbook XL2, 466 MHz Celeron, 256 Mb RAM, 12" DSTN at 800x600) whereas running
XFree86 -configure did create a proper XF86Config-4. I used vi to compare the
two files then edited the XConfigurator generated files to get it working. The
line that seems to make a difference is in Section "Device" and is the "BusID".
The line was totally missing in the XConfigurator generated file and set to
"PCI:1:0:0" in the XFree86 generated file. Also, the XFree86 generated file did
not load Module "fbdevhw" which I assume to be some frame buffer device that
once the PCI bus was recognized the system recognized my ATI Rage Pro LT video
card (although XConfigurator did recognize an ATI Mach64 chip but did not
correctly identify the 8 Mb of RAM). Neither probing the monitor nor selecting a
Generic LCD at 800x600 worked. Thought the info might be useful to you as you
continue to update the installation program.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. No special steps. Just go the the install process and allow the system to
generate XF86Config-4 after choosing the ATI Rage LT Pro with 8 Mb RAM and a
Generic LCD at 800x600.
2.
3.
	

Actual Results:  X would not start.

Expected Results:  X should have started at 800x600.

Additional info:
Comment 1 Mike A. Harris 2002-05-30 03:14:44 EDT
Does this work in RHL 7.3?  If not, please attach your config file and
your X server log file to the report using the link below.
Comment 2 Mike A. Harris 2002-07-29 21:10:03 EDT
Closing bug due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.